using System.Drawing;
using Kaleida.ServiceMonitor.Model.Runtime;

namespace Kaleida.ServiceMonitor.Model.ColourSpecifications
{
    class FixedColourSpecification : IStateColourSpecification
    {
        private readonly Color colour;

        public FixedColourSpecification(Color colour)
        {
            this.colour = colour;
        }

        public Color Colour
        {
            get { return colour; }
        }

        public bool IsMatch(IMonitorState state)
        {
            return true;
        }

        public string Description
        {
            get { return "otherwise " + colour.Name; }
        }
    }
}