using System;
using JetBrains.Annotations;

namespace Kaleida.ServiceMonitor.Model.Email
{
	internal class NotificationMessage
	{
		private readonly string subject;
		private readonly string bodyHtml;

		public NotificationMessage([NotNull] string subject, [NotNull] string bodyHtml)
		{
			if (subject == null) throw new ArgumentNullException("subject");
            if (bodyHtml == null) throw new ArgumentNullException("bodyHtml");

			this.subject = subject;
            this.bodyHtml = bodyHtml;
		}

		public string Subject
		{
			get { return subject; }
		}

		public string BodyHtml
		{
            get { return bodyHtml; }
		}
	}
}