using System.Drawing;

namespace Kaleida.ServiceMonitor.Model.Layout
{
    class ScriptNodeArea
    {
        private readonly IScriptNode scriptNode;
        private readonly Rectangle area;

        public ScriptNodeArea(IScriptNode scriptNode, Rectangle area)
        {
            this.scriptNode = scriptNode;
            this.area = area;
        }

        public IScriptNode ScriptNode
        {
            get { return scriptNode; }
        }

        public Rectangle Area
        {
            get { return area; }
        }

        public override string ToString()
        {
            return string.Format("{0}: Top-left=({1},{2}) Rectangle=({3}x{4})", scriptNode, area.Left, area.Top, area.Width, area.Height);
        }
    }
}