using System;
using Kaleida.ServiceMonitor.Model.Runtime;

namespace Kaleida.ServiceMonitor.Model
{
    public class OperationFailedEventArgs : EventArgs
    {
        private readonly IOperation operation;
        private readonly RequestErrorResult result;

        public OperationFailedEventArgs(IOperation operation, RequestErrorResult result)
        {
            this.operation = operation;
            this.result = result;
        }

        public IOperation Operation
        {
            get { return operation; }
        }

        public RequestErrorResult Result
        {
            get { return result; }
        }
    }
}