using System.Collections.Generic;
using System.Net.Mail;
using System.Linq;
using Kaleida.ServiceMonitor.Framework;

namespace Kaleida.ServiceMonitor.Model.Runtime
{
	public class EmailSummarySchedule
	{
		private readonly List<MailAddress> recipients;
        private readonly List<ScheduledTime> timesOfDay;

        public EmailSummarySchedule(IEnumerable<MailAddress> recipients, IEnumerable<ScheduledTime> timesOfDay)
		{
			this.recipients = recipients.ToList();
			this.timesOfDay = timesOfDay.ToList();
		}

		public IList<MailAddress> Recipients
		{
			get { return recipients; }
		}

		public IList<ScheduledTime> Times
		{
			get { return timesOfDay; }
		}

	}
}