using System;
using System.Collections.Generic;
using System.Linq;

namespace Kaleida.ServiceMonitor.Model.Runtime
{
    public class RandomOperationOrder : OperationOrder
    {
        private readonly Random random = new Random();

        public override T SelectItem<T>(IList<T> items)
        {
            if (!items.Any())
                throw new InvalidOperationException("Cannot select item. List has no items");

            var index = random.Next(items.Count());
            return items[index];
        }

        public override string Name
        {
            get { return "Random"; }
        }
    }
}