using System;
using System.Collections.Generic;

namespace Kaleida.ServiceMonitor.Model.Runtime
{
    public class RuntimeEnvironment
    {
        private readonly IList<Type> preparedResponseTypes;
        private readonly IList<Type> responseHandlerTypes;

        public RuntimeEnvironment() : this(new List<Type>(), new List<Type>())
        {
        }

        public RuntimeEnvironment(IList<Type> preparedResponseTypes, IList<Type> responseHandlerTypes)
        {
            this.preparedResponseTypes = preparedResponseTypes;
            this.responseHandlerTypes = responseHandlerTypes;
        }

        public IList<Type> PreparedResponseTypes
        {
            get { return preparedResponseTypes; }
        }

        public IList<Type> ResponseHandlerTypes
        {
            get { return responseHandlerTypes; }
        }
    }
}