using System;
using JetBrains.Annotations;

namespace Kaleida.ServiceMonitor.Model
{
    public class ScriptCompilationCompleteEventArgs : EventArgs
    {
        private readonly ScriptCompilation scriptCompilation;

        public ScriptCompilationCompleteEventArgs([NotNull] ScriptCompilation scriptCompilation)
        {
            if (scriptCompilation == null) throw new ArgumentNullException("scriptCompilation");
            this.scriptCompilation = scriptCompilation;
        }

        [NotNull]
        public ScriptCompilation ScriptCompilation
        {
            get { return scriptCompilation; }
        }
    }
}