using System.Collections.Generic;

namespace Kaleida.ServiceMonitor.Model.StructuredSource
{
    public class DirectiveDefinition
    {
        private readonly string text;
        private readonly IList<string> arguments;

        public DirectiveDefinition(string text) : this(text, new string[0])
        {
        }

        public DirectiveDefinition(string text, IList<string> arguments)
        {
            this.text = text;
            this.arguments = arguments;
        }

        public IList<string> Arguments
        {
            get { return arguments; }
        }

        public string Text
        {
            get { return text; }
        }
    }
}