﻿using Kaleida.ServiceMonitor.Model.Runtime;
using Kaleida.ServiceMonitor.Operations.PreparedRequests;
using Kaleida.ServiceMonitor.Operations.ResponseHandlers;
using NUnit.Framework;

namespace Kaleida.UnitTests.Model.Runtime
{
    [TestFixture]
    public class OperationTests
    {
        [Test]
        public void TestDescriptionWithDoNothingHandler()
        {
            Assert.AreEqual("Fetch content from 'http://www.example.com' using HTTP GET", new Operation(new HttpGet("http://www.example.com"), new DoNothing(), new CurrentWindowsUser()).Description);
        }

        [Test]
        public void TestDescriptionWithLogResponseHandler()
        {
            Assert.AreEqual("Fetch content from 'http://www.example.com' using HTTP GET and log response", new Operation(new HttpGet("http://www.example.com"), new LogResponse(), new CurrentWindowsUser()).Description);
        }

        [Test, Ignore]
        public void TestDescriptionWithNamedImpersonationUser()
        {
            Assert.AreEqual("Fetch content from 'http://www.example.com' using HTTP GET and log response (running as myDomain\\myUser)", new Operation(new HttpGet("http://www.example.com"), new LogResponse(), new NamedWindowsUser("myDomain", "myUser", "Password")).Description);
        }
    }
}
