﻿using NUnit.Framework;
using Kaleida.ServiceMonitor.Model;

namespace Kaleida.UnitTests.Model
{
    [TestFixture]
    public class StringUIExtensionsTests
    {
        [Test]
        public void TestAbbreviate()
        {
            Assert.AreEqual("The qui...", "The quick brown fox jumps over the lazy dog".Abbreviate(10));
            Assert.AreEqual("hello", "hello".Abbreviate(10));
            Assert.AreEqual("hello", "hello".Abbreviate(5));
            Assert.AreEqual("", "".Abbreviate(10));

            Assert.AreEqual("Lorem ipsum d (more)", "Lorem ipsum dolor sit amet".Abbreviate(20, " (more)"));
        }

        [Test]
        public void TestToBallotBox()
        {
            Assert.AreEqual("☐", false.ToBallotBox());
            Assert.AreEqual("☑", true.ToBallotBox());
        }
    }
}
